[Buildroot] [PATCH 1/6] support/libtool: add patch for newer versions

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Sun Dec 21 15:12:18 UTC 2014


Dear Gustavo Zacarias,

On Tue, 16 Dec 2014 11:08:15 -0300, Gustavo Zacarias wrote:
> Add patch to support newer (>2.4.2) versions.
> Adjust patch logic to check for patchlevel greater than 2 (apply new patch) or
> not (apply current patch).
> Some people/distributions used unreleased versions, with the string being
> 2.4.2.x, this packages are AUTORECONFed and have to be kept like this since
> the up-to-2.4.2 patch doesn't work, neither does the from-2.4.3 version patch.
> 
> Signed-off-by: Gustavo Zacarias <gustavo at zacarias.com.ar>
> ---
>  package/pkg-autotools.mk                       |  8 ++-
>  support/libtool/buildroot-libtool-v2.4.4.patch | 95 ++++++++++++++++++++++++++
>  2 files changed, 102 insertions(+), 1 deletion(-)
>  create mode 100644 support/libtool/buildroot-libtool-v2.4.4.patch

Entire series applied, thanks.

Thomas
-- 
Thomas Petazzoni, CTO, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com


More information about the buildroot mailing list